Argonne National Laboratory

Experimental Physics and
Industrial Control System

2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020  2021  Index 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020  2021 
<== Date ==> <== Thread ==>

Subject: Re: New EPICS Releases
From: "Johnson, Andrew N. via Core-talk" <core-talk@aps.anl.gov>
To: Abdalla Ahmad <abdalla.ahmad@sesame.org.jo>
Cc: EPICS core-talk <core-talk@aps.anl.gov>
Date: Wed, 19 Dec 2018 18:00:08 +0000
Hi Abdalla,

On 12/19/18 6:01 AM, Abdalla Ahmad wrote:
>
> What is the status for the 3.15 branch? Will there be plans to stop
> developing it? Because we just upgraded to 3.15.6. If that's the case,
> do you suggest upgrading or 3.15.6 is good enough for now?
>
Good question. The 3.15 branch is an LTS (Long Term Support) branch,
although we don't currently use that terminology anywhere that I know
of. We don't have any plans to drop support for the 3.15 series 
any-time soon, especially as the 3.16 branch dropped support for some of
the older and lesser-used target architectures which can't compile the
PVA modules (e.g. VxWorks 5.x).

For background I should say that here at the APS none of our core
operational systems are running on a version of Base newer than
3.14.12.5, so you're currently ahead of us and we have a lot of work to
do to upgrade our older systems!

HTH,

- Andrew

-- 
Arguing for surveillance because you have nothing to hide is no
different than making the claim, "I don't care about freedom of
speech because I have nothing to say." -- Edward Snowdon


Navigate by Date:
Prev: RE: Issues with latest version of base-7.0 Mark Rivers via Core-talk
Next: RE: Issues with latest version of base-7.0 Mark Rivers via Core-talk
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020  2021 
Navigate by Thread:
Prev: We should take care of Ralph ;-) Heinz Junkes via Core-talk
Next: Build failed in Jenkins: epics-base-3.15 #409 APS Jenkins via Core-talk
Index: 2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020  2021 
ANJ, 26 Dec 2018 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·